summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2020-01-01 07:32:00 +0100
committerHans de Graaff <graaff@gentoo.org>2020-01-01 07:48:05 +0100
commite973ab39f5c06e4497b7e8766467ae5557194618 (patch)
tree1566fa8ce5bf18fb31d7f0e877038750601f5ba2
parentdev-ruby/rspec-support: add 3.9.2 (diff)
downloadgentoo-e973ab39f5c06e4497b7e8766467ae5557194618.tar.gz
gentoo-e973ab39f5c06e4497b7e8766467ae5557194618.tar.bz2
gentoo-e973ab39f5c06e4497b7e8766467ae5557194618.zip
dev-ruby/rspec-mocks: add 3.9.1
Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/rspec-mocks/Manifest1
-rw-r--r--dev-ruby/rspec-mocks/rspec-mocks-3.9.1.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/dev-ruby/rspec-mocks/Manifest b/dev-ruby/rspec-mocks/Manifest
index f7eb2d24d51d..bf82b0720c88 100644
--- a/dev-ruby/rspec-mocks/Manifest
+++ b/dev-ruby/rspec-mocks/Manifest
@@ -2,3 +2,4 @@ DIST rspec-mocks-2.99.2-git.tgz 101731 BLAKE2B 27ae180381d427b642c53c351e7b53602
DIST rspec-mocks-3.8.1-git.tgz 191543 BLAKE2B dae8b22a011a3563eb65d1709006169bf5dcf310749cb858f4ff20c7b82e7675a616fc427136fe5e0edeef1db0b42a1d0af1c5623eed35807e84dc355131c8cc SHA512 ec71c4b815beef315f8db329bd2b0e60cdbb1fa37939c624799c1589d94dd28f74b3d1a4c0b9025bc98a809f80d625315458351fe7dec8291bad20e79beecca8
DIST rspec-mocks-3.8.2-git.tgz 191807 BLAKE2B 9ec44fcaad9fe1e9d75cfb84253e52411b7083070de5dbb19bcdf7c518eb2439e6493e979daf814df7b31bab8bbe72821d42eb797ab88d95e051a700b63d93b5 SHA512 42b9b952386ce862a1cc19116991ae6b4633d551db057babe2e4aa6553acb6eafbb05b98df8a5c6cb362a00025ac3ce0f43f3c4e4ea63343c8bf0dad769a3aed
DIST rspec-mocks-3.9.0-git.tgz 192426 BLAKE2B af19a0dcd5009db310c4417a8f9f75284cb81e02010ffe6f5caa75e3f157d8b5e72c7782b7150bf0ff273bc5a78771edf88659f769a1b0ed95dccdca0f3f248d SHA512 bb6bb5d5dc272e0e0726d23069e0087f780f57614840208816867c570173f1980a43c2cc955c68b2ceca58828951229361305551a4b6bf3530880db843a49bf9
+DIST rspec-mocks-3.9.1-git.tgz 192772 BLAKE2B abcc8fc82648993e6a407a8c4ac4f5b146b821e1e842c1dd2b95824d8468aac0ea796438d77e376c897675f66bd2bc9024da8fa5ccaf60139ea296b388d542cd SHA512 f804783fca4cf2258e83f82515cd5881ceae0bdd3aedb452a1db901e01de5dbca1d2bdef0ac0828a4bd23a1de58d127a42150c8c204219bca39ea7072619098f
diff --git a/dev-ruby/rspec-mocks/rspec-mocks-3.9.1.ebuild b/dev-ruby/rspec-mocks/rspec-mocks-3.9.1.ebuild
new file mode 100644
index 000000000000..a6dfbd537f93
--- /dev/null
+++ b/dev-ruby/rspec-mocks/rspec-mocks-3.9.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+#RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="rspec-mocks.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Behaviour Driven Development (BDD) framework for Ruby"
+HOMEPAGE="https://github.com/rspec/rspec-mocks"
+SRC_URI="https://github.com/rspec/${PN}/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+SUBVERSION="$(ver_cut 1-2)"
+
+ruby_add_rdepend "=dev-ruby/rspec-support-${SUBVERSION}*
+ >=dev-ruby/diff-lcs-1.2.0 =dev-ruby/diff-lcs-1*"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/rspec-core-3.3.0:3
+ >=dev-ruby/rspec-expectations-2.99.0:3
+ )"
+
+all_ruby_prepare() {
+ # Don't set up bundler: it doesn't understand our setup.
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+
+ # Remove the Gemfile to avoid running through 'bundle exec'
+ rm Gemfile || die
+
+ # Remove .rspec options to avoid dependency on newer rspec when
+ # bootstrapping.
+ rm .rspec || die
+
+ sed -i -e '1irequire "spec_helper"' spec/rspec/mocks/any_instance_spec.rb || die
+
+ sed -i -e 's/git ls-files --/find/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}